/************************** Example E *********************************/
#include "EZ.h"

main(int ac, char **av)
{
  EZ_Widget *toplevel, *frame1, *frame2, *tmp;
  int        i;

  EZ_Initialize(ac,av,0);

  toplevel = EZ_CreateFrame(NULL,NULL);

  EZ_ConfigureWidget(toplevel,  EZ_ORIENTATION, EZ_VERTICAL, 
		     EZ_FILL_MODE, EZ_FILL_BOTH, 0);
  tmp = EZ_CreateLabel(toplevel,"Test EZ_EXPAND\nResize me, please");
  EZ_ConfigureWidget(tmp, EZ_FOREGROUND, "red", 
		     EZ_FONT_NAME,  "-Adobe-Times-Bold-I-Normal--*-180-*-*-*-*-*-*",   
		     0);

  frame1 = EZ_CreateFrame(toplevel, "V Orientation");
  EZ_ConfigureWidget(frame1, EZ_ORIENTATION, EZ_VERTICAL, 0);
  frame2 = EZ_CreateFrame(toplevel, "H Orientation");

  tmp= EZ_CreateButton(frame1,"I'm expanded, but only in\nthe Horizontal direction",-1);
  EZ_ConfigureWidget(tmp, EZ_EXPAND, 1, 0);
  tmp = EZ_CreateButton(frame1,"Not expanded", -1);

  tmp = EZ_CreateButton(frame2,"I'm expanded, but only in\nthe vertical direction",-1);
  EZ_ConfigureWidget(tmp, EZ_EXPAND, 1, 0);
  tmp = EZ_CreateButton(frame2,"Not expanded", -1);
  
  EZ_DisplayWidget(toplevel);
  EZ_EventMainLoop();
}
/************************** Example E *********************************/
